Bug Hunting Session
Bug 95077 - check index !=0 in sw's vba Panes
Summary: check index !=0 in sw's vba Panes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: ccsheller
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-15 07:07 UTC by ccsheller
Modified: 2016-10-25 19:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
swvbapanesindex.doc (33.00 KB, application/msword)
2015-10-15 07:07 UTC, ccsheller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ccsheller 2015-10-15 07:07:07 UTC
Created attachment 119635 [details]
swvbapanesindex.doc

follow code:
ScVbaCollectionBase::getItemByIntIndex
....
return createCollectionObject( m_xIndexAccess->getByIndex( nIndex - 1 ) );
....
my test code of vba:
Application.ActiveWindow.Panes(1).View

when i run it, i get the error:

BASIC runtime error.
'1'

Type: com.sun.star.lang.IndexOutOfBoundsException
Message:
Comment 1 ccsheller 2015-10-15 07:10:09 UTC
a patch related to this issue:

https://gerrit.libreoffice.org/#/c/19239/
Comment 2 Commit Notification 2015-11-04 09:40:14 UTC
ccsheller committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67b4adc473c14f6ab72c27b52e77a76ed387dccc

tdf#95077 Check Index != 0

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Julien Nabet 2016-07-03 10:25:01 UTC
Since last stable LO version is 5.1.4, we can consider as FIXED.

If I'm wrong, don't hesitate to reopen this tracker.